/*=========================================================================================
    File Name: todo.scss
    Description: Todo app's styles. This is imported in Todo.vue file
==========================================================================================*/

#todo-app {
  .vs-sidebar--background {
    position: absolute;
  }
  .todo-scroll-area {
    position: relative;
    margin: auto;
    width: 100%;
    height: calc(100% - 70px);
  }
  .todo-content-scroll-area {
    position: relative;
    margin: auto;
    width: 100%;
    height: calc(100% - 50px);
  }

  // TRANSITION
  .todo_todo-item {
    transition: all 0.35s;
  }

  .list-item-component {
    transition: background-color 0.2s, transform 0.2s;
    border-top: 1px solid #dae1e7;
    &:hover {
      // background-color: #eee;
      transform: translateY(-4px);
      box-shadow: 0px 3px 10px 0px #ccc;
      transition: all 0.2s;
    }
  }

  .todo-list {
    .todo-tags {
      .con-vs-chip {
        margin-right: 2px !important;
      }
    }
  }

  #tag-selection-dropdown {
    .action-btns {
      display: flex;
      flex-direction: row;
      position: fixed;

      > * {
        margin-right: 3px;
      }

      > button {
        background-color: #f7f6fc !important;
        box-shadow: 0px 0px 7px 3px rgba(0, 0, 0, 0.1);

        &:hover {
          background-color: #fff !important;
        }
      }
    }

    .tag-options {
      height: 200px !important;
      border: 1px solid rgba(var(--vs-primary),1);
    }
  }
}
